이 페이지는 아직 한국어로 제공되지 않습니다. 번역 작업 중입니다.
현재 번역 프로젝트에 대한 질문이나 피드백이 있으신 경우 언제든지 연락주시기 바랍니다.

Google Chat Integration

Configure your Datadog Google Chat integration directly through the Datadog API.

POST https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles

개요

Create an organization handle in the Datadog Google Chat integration.

인수

경로 파라미터

이름

유형

설명

organization_binding_id [required]

string

Your organization binding ID.

요청

Body Data (required)

Organization handle payload.

Expand All

항목

유형

설명

data [required]

object

Organization handle data for a create request.

attributes [required]

object

Organization handle attributes for a create request.

name [required]

string

Organization handle name.

space_resource_name [required]

string

Google space resource name.

type [required]

enum

Organization handle resource type. Allowed enum values: google-chat-organization-handle

default: google-chat-organization-handle

{
  "data": {
    "attributes": {
      "name": "Example-Google-Chat-Integration",
      "space_resource_name": "spaces/AAQA-zFIks8"
    }
  },
  "type": "google-chat-organization-handle"
}

응답

CREATED

Organization handle for monitor notifications to a Google Chat space within a Google organization.

Expand All

항목

유형

설명

data [required]

object

Organization handle data from a response.

attributes

object

Organization handle attributes.

name

string

Organization handle name.

space_display_name

string

Google space display name.

space_resource_name

string

Google space resource name.

id

string

The ID of the organization handle.

type

enum

Organization handle resource type. Allowed enum values: google-chat-organization-handle

default: google-chat-organization-handle

{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Conflict

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 사례

                          # Path parameters
export organization_binding_id="CHANGE_ME"
# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "name": "Example-Google-Chat-Integration", "space_resource_name": "spaces/AAQA-zFIks8" } }, "type": "google-chat-organization-handle" } EOF

DELETE https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}

개요

Delete an organization handle from the Datadog Google Chat integration.

인수

경로 파라미터

이름

유형

설명

organization_binding_id [required]

string

Your organization binding ID.

handle_id [required]

string

Your organization handle ID.

응답

OK

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 사례

                  # Path parameters
export organization_binding_id="CHANGE_ME"
export handle_id="CHANGE_ME"
# Curl command
curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"

GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handleshttps://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles

개요

Get a list of all organization handles from the Datadog Google Chat integration.

인수

경로 파라미터

이름

유형

설명

organization_binding_id [required]

string

Your organization binding ID.

응답

OK

List of organization handles for monitor notifications to Google Chat spaces within a Google organization.

Expand All

항목

유형

설명

data [required]

[object]

An array of organization handles.

attributes

object

Organization handle attributes.

name

string

Organization handle name.

space_display_name

string

Google space display name.

space_resource_name

string

Google space resource name.

id

string

The ID of the organization handle.

type

enum

Organization handle resource type. Allowed enum values: google-chat-organization-handle

default: google-chat-organization-handle

{
  "data": [
    {
      "attributes": {
        "name": "fake-handle-name",
        "space_display_name": "Fake Space Name",
        "space_resource_name": "spaces/AAAAAAAAA"
      },
      "id": "596da4af-0563-4097-90ff-07230c3f9db3",
      "type": "google-chat-organization-handle"
    }
  ]
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 사례

                  # Path parameters
export organization_binding_id="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"

GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}

개요

Get an organization handle from the Datadog Google Chat integration.

인수

경로 파라미터

이름

유형

설명

organization_binding_id [required]

string

Your organization binding ID.

handle_id [required]

string

Your organization handle ID.

응답

OK

Organization handle for monitor notifications to a Google Chat space within a Google organization.

Expand All

항목

유형

설명

data [required]

object

Organization handle data from a response.

attributes

object

Organization handle attributes.

name

string

Organization handle name.

space_display_name

string

Google space display name.

space_resource_name

string

Google space resource name.

id

string

The ID of the organization handle.

type

enum

Organization handle resource type. Allowed enum values: google-chat-organization-handle

default: google-chat-organization-handle

{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 사례

                  # Path parameters
export organization_binding_id="CHANGE_ME"
export handle_id="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"

GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}https://api.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}

개요

Get the resource name and organization binding ID of a space in the Datadog Google Chat integration.

인수

경로 파라미터

이름

유형

설명

domain_name [required]

string

The Google Chat domain name.

space_display_name [required]

string

The Google Chat space display name.

응답

OK

Response with Google Chat space information.

Expand All

항목

유형

설명

data [required]

object

Google Chat space data from a response.

attributes

object

Google Chat space attributes.

display_name

string

Google space display name.

organization_binding_id

string

Organization binding ID.

resource_name

string

Google space resource name.

space_uri

string

Google space URI.

id

string

The ID of the Google Chat space.

type

enum

Google Chat space resource type. Allowed enum values: google-chat-app-named-space

default: google-chat-app-named-space

{
  "data": {
    "attributes": {
      "display_name": "Fake Space Name",
      "organization_binding_id": "2f18a894-adb5-4c53-8248-39fd3f5386a5",
      "resource_name": "spaces/AAAAAAAAA",
      "space_uri": "https://chat.google.com/room/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-app-named-space"
  }
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 사례

                  # Path parameters
export domain_name="CHANGE_ME"
export space_display_name="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/${domain_name}/${space_display_name}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"

PATCH https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}

개요

Update an organization handle from the Datadog Google Chat integration.

인수

경로 파라미터

이름

유형

설명

organization_binding_id [required]

string

Your organization binding ID.

handle_id [required]

string

Your organization handle ID.

요청

Body Data (required)

Organization handle payload.

Expand All

항목

유형

설명

data [required]

object

Organization handle data for an update request.

attributes [required]

object

Organization handle attributes for an update request.

name

string

Organization handle name.

space_resource_name

string

Google space resource name.

type [required]

enum

Organization handle resource type. Allowed enum values: google-chat-organization-handle

default: google-chat-organization-handle

{
  "data": {
    "attributes": {
      "name": "fake-handle-name--updated"
    }
  },
  "type": "google-chat-organization-handle"
}

응답

OK

Organization handle for monitor notifications to a Google Chat space within a Google organization.

Expand All

항목

유형

설명

data [required]

object

Organization handle data from a response.

attributes

object

Organization handle attributes.

name

string

Organization handle name.

space_display_name

string

Google space display name.

space_resource_name

string

Google space resource name.

id

string

The ID of the organization handle.

type

enum

Organization handle resource type. Allowed enum values: google-chat-organization-handle

default: google-chat-organization-handle

{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Conflict

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 사례

                          # Path parameters
export organization_binding_id="CHANGE_ME"
export handle_id="CHANGE_ME"
# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "name": "fake-handle-name--updated" } }, "type": "google-chat-organization-handle" } EOF